Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.gui
Class ListenerWindow

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          com.declarativa.interprolog.gui.ListenerWindow

All Implemented Interfaces:
  Accessible, EventListener, ImageObserver, MenuContainer, RootPaneContainer, Serializable, WindowConstants, WindowListener

Direct Known Subclasses:
  NativeEngineWindow, SubprocessEngineWindow

public abstract class ListenerWindow
extends JFrame
implements WindowListener

A simple Prolog listener, with a consult menu and an history mechanism. This should be sub-classed, in order to define sendToProlog()

See Also:
  Serialized Form

Field Summary
`static boolean` | `debug`
`AbstractPrologEngine` | `engine`
`static boolean` | `loadFromJar`
`JTextArea` | `prologInput`
`JTextArea` | `prologOutput`
`static String` | `prologStartCommand`

Fields inherited from class javax.swing.JFrame
`EXIT_ON_CLOSE`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ListenerWindow(AbstractPrologEngine e)`
`ListenerWindow(AbstractPrologEngine e, boolean autoDisplay)`

Method Summary
`static void` | `beep()`
`static String` | `commandArgs(String[] args)`
`static void` | `commonGreeting()`
`static void` | `commonMain(String[] args)`
`void` | `errorMessage(String m)`
`void` | `focusInput()`
`static ObjectExamplePair[]` | `guiExamples()`
`boolean` | `processDraggedFile(File f)`
`static String` | `remainingArgs(String[] args, int first)`
`void` | `scrollToBottom()`
`abstract void` | `sendToProlog()`
`boolean` | `successfulCommand(String s)`
`void` | `windowActivated(WindowEvent e)`
`void` | `windowClosed(WindowEvent e)`
`void` | `windowClosing(WindowEvent e)`
`void` | `windowDeactivated(WindowEvent e)`
`void` | `windowDeiconified(WindowEvent e)`
`void` | `windowIconified(WindowEvent e)`
`void` | `windowOpened(WindowEvent e)`

Methods inherited from class javax.swing.JFrame
`getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### prologOutput

    public JTextArea prologOutput

### prologInput

    public JTextArea prologInput

### engine

    public AbstractPrologEngine engine

### debug

    public static boolean debug

### prologStartCommand

    public static String prologStartCommand

### loadFromJar

    public static boolean loadFromJar

Constructor Detail

### ListenerWindow

    public ListenerWindow(AbstractPrologEngine e)

### ListenerWindow

    public ListenerWindow(AbstractPrologEngine e,
                          boolean autoDisplay)

Method Detail

### windowOpened

    public void windowOpened(WindowEvent e)

  Specified by:
    `windowOpened` in interface `WindowListener`

### windowClosed

    public void windowClosed(WindowEvent e)

  Specified by:
    `windowClosed` in interface `WindowListener`

### windowIconified

    public void windowIconified(WindowEvent e)

  Specified by:
    `windowIconified` in interface `WindowListener`

### windowClosing

    public void windowClosing(WindowEvent e)

  Specified by:
    `windowClosing` in interface `WindowListener`

### windowActivated

    public void windowActivated(WindowEvent e)

  Specified by:
    `windowActivated` in interface `WindowListener`

### windowDeactivated

    public void windowDeactivated(WindowEvent e)

  Specified by:
    `windowDeactivated` in interface `WindowListener`

### windowDeiconified

    public void windowDeiconified(WindowEvent e)

  Specified by:
    `windowDeiconified` in interface `WindowListener`

### guiExamples

    public static ObjectExamplePair[] guiExamples()

### processDraggedFile

    public boolean processDraggedFile(File f)

### errorMessage

    public void errorMessage(String m)

### sendToProlog

    public abstract void sendToProlog()

### successfulCommand

    public boolean successfulCommand(String s)

### focusInput

    public void focusInput()

### scrollToBottom

    public void scrollToBottom()

### commonMain

    public static void commonMain(String[] args)

### commonGreeting

    public static void commonGreeting()

### commandArgs

    public static String commandArgs(String[] args)

### remainingArgs

    public static String remainingArgs(String[] args,
                                       int first)

### beep

    public static void beep()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD